Subject: Re: Trouble with sendmail and the X-Status line

From: David L Miller <[email-masked]>
Date: Wed, 19 Apr 1995 13:39:46 -0700 (PDT)

I'm not sure about mtest off the top of my head, but in Pine you can set
the smtp-server variable in the Setup/Config screen or
/usr/local/lib/pine.conf file to point to your remote mail hub.  The
X-Status: header is where Pine (via c-client) stores message flags, e.g. 
Deleted, Answered, ... 

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing, JE-20
4545 15th Ave NE, Seattle WA 98105, USA

On Wed, 5 Apr 1995, Michael Warren wrote:

> Date: Wed, 5 Apr 1995 16:51:12 +0000
> From: Michael Warren <[email-masked]>
> Subject: Trouble with sendmail and the X-Status line
> 
> Hi, I have 2 problems getting pine to work with sendmail
> We are running of SCO Unix.
> Problem 1:
>     Hi, we have a dedicated mail hub running smtp.
> I have gotten mtest to compile, but I can't get it to connect to the server
> running smtp.  When I hit S to send and end the message, I get errors saying
> no local mailhost, can't connect to localhost port 25, etc...
>  If we run smtp as a daemon on the local host, it connects to the server
>  and sends the mail via sendmail just fine.  However, our sysadmin doesn't
>  want to have to keep daemons running on all our servers and would like
>  to keep the one hub running.
> Problem 2:
>     When we do send mail and turn around and read it with pine and/or mtest and
>     then quit, it puts an X-Status line after the Status line.
>     It doesn't put anything else, just X-Status:
>     When we use mail from the command line, it says that the mail box may be
>     corrupted.  I have went in and deleted the X-Status line, put a O and a R
>     after the X-Status line, and after saving the mail file then re-reading
>     it with unix command line mail, it doesn't say it's corrupted.
>     What I need to know is the best way to solve this problem.
>     Do I need that X-Status line?
>     I have went into the /imap/ANSI/c-client directory, greped for all
>     X-Status, (found 2. 1 in bezerk.c and another in mmdf.c) and commented
>     them out.
>     However, it still writes that darned X-Status line.
> I hope I made this clear enough.  If you think you might know something
> that would help, please get in touch with me.
> Thanks so much
> Michael Warren
> [email-masked]
> 1-800-467-0873 ext. 149
> -- 
> --------------------------------------------------------------------------------
>  | | "NI!"                "Bring us a shrubbery"                            | |
>  | |            Alabama                         Michael Warren       "NI!"  | |
>  | |          Class of '93                    [email-masked]            | |
> 
>